/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.microbench.sample;

import java.util.ArrayList;

import junit.framework.Test;
import junit.framework.TestCase;

import org.jboss.jrunit.controller.ThreadLocalBenchmark;
import org.jboss.jrunit.decorators.ThreadLocalDecorator;

/**
 * This class uses the JunitThreadDecorator to submit
 * @author Clebert Suconic
 */
public class SimplePlainTestUnderLoad extends TestCase
{
    
    public static Test suite()
    {
        return new ThreadLocalDecorator(SimplePlainTestUnderLoad.class,1000,10,0,true);

    }
    
    public void test1() throws Exception {
        try {
            ThreadLocalBenchmark.openBench("Allocations");

            ThreadLocalBenchmark.openBench("CreateArrayList");
            ArrayList list = new ArrayList();
            ThreadLocalBenchmark.closeBench("CreateArrayList");


            for (int i=0;i<1500;i++)
            {
                list.add(new String("Test"));
            }

            ThreadLocalBenchmark.addMeasure("instances",new Integer(1500));

            ThreadLocalBenchmark.closeBench("Allocations");
        }
        catch (Throwable e)
        {
            e.printStackTrace();
        }
        //System.out.println("count=" + (count++));
    }
    
    
    public void test2() throws Exception {
        fail("I'm failing");
    }
    
    
    
    public void ejb() throws Exception{
        ThreadLocalBenchmark.openBench("ejb");
        ThreadLocalBenchmark.closeBench("ejb");
        
    }
    
}
